# How to stop tax showing as Built-in to the Subtotal

**URL:** <https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236>\
**Category:** Questions\
**Tags:** checkout-api\
**Created:** [July 16, 2025, 12:10pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236 "2025-07-16T12:10:16Z")\
**Posts on this page:** 9\
**Page:** 1

<div class="post-metadata">

**Author:** ![Gary1](https://avatars.discourse-cdn.com/v4/letter/g/db5fbb/32.png) [@Gary1](https://developer.squareup.com/forums/u/Gary1)\
**Post date:** [July 16, 2025, 12:10pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/1 "2025-07-16T12:10:16Z")

</div>

Please see the attached two screenshots.

I’m using the Checkout API via “Order”, not “QuickPay”.

The “Subtotal” on my Square Checkout page is showing as inclusive of tax. As you can see, the line item prices on the left as listed multiplied by their quantities are indeed exclusive of tax, but after the multiplication, i.e. the result on the right for each item, is inclusive of tax, and it is those values which are being added together to produce the subtotal.

Is it possible to stop tax showing as inclusive for line items for the result of the multiplication, thereby making the subtotal also not inclusive of tax? (this would then match my website)

According to all Google searches that I’ve made, tax should not be included in the subtotal.

P.S. This is working live for my shopping cart… I can show my code and developer explorer settings if that helps.

Thank you, Gary.

 ![My Square Checkout Page](https://global.discourse-cdn.com/square/original/2X/b/b0477515d9038f15a422f9b50661785357869e54.png)  
 ![My Website Checkout Page](https://global.discourse-cdn.com/square/original/2X/8/84d960e92224c327507d9d8414a1db74a08cbb24.png)

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [July 16, 2025, 12:10pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/2 "2025-07-16T12:10:57Z")

</div>

👋 I’m Square Dev AI, here to help answer your question!  
Based on the information you’ve provided, the following documentation will help answer your question:

> **[Payments Pricing with Square APIs and SDKs](https://developer.squareup.com/docs/payments-pricing)**
>
> Learn about the processing fees that Square charges for payments made with Square payment APIs.

> **[Orders API: How It Works](https://developer.squareup.com/docs/orders-api/how-it-works)**
>
> Learn how the Orders API processes and returns information about purchase transactions.

> **Additional Documentation**
>
> [Guidelines and Limitations](https://developer.squareup.com/docs/checkout-api/guidelines-and-limitations)  
> [Apply Taxes, Discounts, and Service Charges](https://developer.squareup.com/docs/orders-api/apply-taxes-and-discounts)  
> [Square Developer Tools](https://developer.squareup.com/docs/devtools/overview)

If this documentation helped you find a solution, please check the box indicating that this reply solves the problem.  
Otherwise one of our Developer Advocates will provide additional assistance shortly.

---

<div class="post-metadata">

**Author:** ![Gary1](https://avatars.discourse-cdn.com/v4/letter/g/db5fbb/32.png) [@Gary1](https://developer.squareup.com/forums/u/Gary1)\
**Post date:** [July 16, 2025, 2:59pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/3 "2025-07-16T14:59:22Z")

</div>

Also, in the following screenshot you can see **that I’ve just selected “taxes, type, INCLUSIVE”** (just as an experiment, i.e. I’m actually using “ADDITIVE” AKA exclusive)

 ![Square Explorer Taxes INCLUSIVE](https://global.discourse-cdn.com/square/original/2X/e/e8e6988746b223904465a12eac87f1b5cbc03864.png)

And in the following screenshot you can see the result…

 ![Square Checkout Page It Just Adds A Note](https://global.discourse-cdn.com/square/original/2X/5/55ebf79554365f7dc52811b702bd81c3224bbf56.png)

Indeed, now the item price as shown on the left has been automatically reduced to account for tax being inclusive, but that doesn’t change the fact that the subtotal is inclusive of tax.

Additionally, the £2.87 tax is stated to be… “_Taxes included in item price_”, but it’s not! It’s the total tax cost, i.e. item price tax + shipping price tax.

Thank you, Gary.

P.S. **I’m not using this inclusive option** but it is all part of the same functionality and so I thought it was worth pointing out about the incorrect tax note.

**So ultimately I just need the subtotal to not include tax?**

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [July 16, 2025, 3:48pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/4 "2025-07-16T15:48:55Z")

</div>

It seems like the issue you’re experiencing is related to how taxes are being applied and displayed in the Square Checkout page. When using the Checkout API with an “Order” setup, the subtotal calculation can include taxes if they are applied at the item level and not explicitly separated.

To address this, you can ensure that taxes are applied separately from the line items in your order configuration. Here are a few steps you can take:

1. **Check Tax Configuration** : Ensure that taxes are configured to be applied at the order level rather than the item level. This way, the subtotal will reflect the sum of the item prices before taxes are added.

2. **Use Pricing Options** : When creating the order, you can specify pricing options to automatically apply preconfigured taxes. However, make sure that these taxes are not included in the line item prices. This can be done by setting the `auto_apply_taxes` option in the `pricing_options` of your order request.

3. **Review Order Setup** : Double-check your order setup to ensure that taxes are not being included in the line item prices. You might need to adjust how taxes are defined in your catalog or how they are applied in the order.

4. **Update Order Display** : If necessary, update the display settings in your Square account to ensure that the checkout page reflects the desired tax and subtotal presentation.

By ensuring that taxes are applied at the order level and not included in the line item prices, the subtotal should reflect the pre-tax total, aligning with your website’s checkout page. If you continue to experience issues, reviewing your order configuration and tax settings in the Square Dashboard might provide further insights.

_This answer was reviewed by @Bryan-Square._

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [July 16, 2025, 3:50pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/5 "2025-07-16T15:50:09Z")

</div>

Also what is your request with the order to create the payment link? 🙂

---

<div class="post-metadata">

**Author:** ![Gary1](https://avatars.discourse-cdn.com/v4/letter/g/db5fbb/32.png) [@Gary1](https://developer.squareup.com/forums/u/Gary1)\
**Post date:** [July 16, 2025, 5:34pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/6 "2025-07-16T17:34:48Z")

</div>

The following request is directly from Square explorer. Please if you can play around inside explorer, testing by copy/paste the URL into the browser address bar, click Preview Link, and you’ll see what I mean.

Square-Dev-AI, regarding…

1. taxes, scope, was already set to ORDER
2. I’ve just set, pricing\_options, auto\_apply\_taxes, to True, but it made no difference
3. I’m feeding in my prices from the server-side of my shopping cart, i.e. I’m not using a catalogue. And of course the prices I’m feeding in are exclusive of tax. ( **this is irrelevant though, simply because we only need to test the explorer example** )
4. I believe my square account isn’t relevant because it’s just a matter of generating the response inside Square explorer and then copy/pasting the URL into the browser to test

Please kindly test and let me know if you can get line items listed to not include tax as they appear on the right, i.e. the subtotal not inclusive of tax? If you manage it, then please just copy/paste the request for me to try?

```php
curl https://connect.squareupsandbox.com/v2/online-checkout/payment-links \
  -X POST \
  -H 'Square-Version: 2025-06-18' \
  -H 'Authorization: Bearer EAAAlyZ45b3YpxzHviGy2YmFa5CQtg57ohF-T0DcIpKSX_XeNglndam3qaIdan-G' \
  -H 'Content-Type: application/json' \
  -d '{
    "idempotency_key": "0ef665c3-68b7-49c8-8ba7-4a90d2a951d1",
    "order": {
      "location_id": "L2A4E9BGPYY1R",
      "line_items": [
        {
          "quantity": "1",
          "base_price_money": {
            "amount": 423,
            "currency": "GBP"
          },
          "name": "my_item_1",
          "item_type": "ITEM"
        }
      ],
      "taxes": [
        {
          "percentage": "20",
          "type": "ADDITIVE",
          "name": "VAT",
          "scope": "ORDER"
        }
      ],
      "service_charges": [
        {
          "amount_money": {
            "amount": 1297,
            "currency": "GBP"
          },
          "name": "Shipping ",
          "calculation_phase": "SUBTOTAL_PHASE",
          "taxable": true
        }
      ],
      "pricing_options": {
        "auto_apply_taxes": true
      }
    }
  }'

```

Thank you, Gary 🙂

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [July 16, 2025, 6:10pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/7 "2025-07-16T18:10:52Z")

</div>

You have `auto_apply_taxes` set to `true`. Any additional tax configuration on the account that applies to all payments will be added to the order since this is true. That could be causing your issue. 🙂

---

<div class="post-metadata">

**Author:** ![Gary1](https://avatars.discourse-cdn.com/v4/letter/g/db5fbb/32.png) [@Gary1](https://developer.squareup.com/forums/u/Gary1)\
**Post date:** [July 16, 2025, 6:17pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/8 "2025-07-16T18:17:36Z")

</div>

I only just added `auto_apply_taxes` a few minutes ago, and as I said it made no difference.

Please can you try in your own test account maybe, and then if you manage it, copy/paste the request for me to try?

Right now, I’m struggling to believe that the Checkout API is capable of stating line item prices to not include tax, i.e. simply list the tax separately after the subtotal but not in the line item prices on the right as I’ve explained?

Please prove me wrong 🙂 x 2

---

<div class="post-metadata">

**Author:** ![Gary1](https://avatars.discourse-cdn.com/v4/letter/g/db5fbb/32.png) [@Gary1](https://developer.squareup.com/forums/u/Gary1)\
**Post date:** [July 16, 2025, 6:40pm UTC](https://developer.squareup.com/forums/t/how-to-stop-tax-showing-as-built-in-to-the-subtotal/23236/9 "2025-07-16T18:40:10Z")

</div>

The figures do add up so it makes sense in that respect, but the subtotal shouldn’t include tax. I can see how the various options make their differences, but I guess the Checkout API itself needs updating.

**Update:** okay, so I’ve read that various other payment platforms do include tax in the subtotal, but for many situations it makes much more sense to not have tax included in the subtotal. Having this as an option would be a good thing!

Surely though, with reference to Square Checkout pages such as shown in the screenshot below, we at least need it to state something like `"Including tax"` or (tax incl) above the line items prices on the right, and `"Excluding tax"` or (tax excl) above the line item prices on the left…

Because as it is now, the result of the multiplication of the item price by its quantity is the wrong answer, but it wouldn’t be if they were labelled accordingly.

Here’s that screenshot, which I also posted in my opening post…

 ![My Square Checkout Page](https://global.discourse-cdn.com/square/original/2X/b/b0477515d9038f15a422f9b50661785357869e54.png)

**Update:** for anyone interested, I show how I’ve injected my PHP session variables for when using `Order` instead of `QuickPay`, in post 9 here: [HTTPS via curl\_init() versus HTTPS via -X POST - Questions - Square Developer Forums](https://developer.squareup.com/forums/t/https-via-curl-init-versus-https-via-x-post/23203/9)
